return helicopter( "UH-1H", _("UH-1H"),
    {
        
        EmptyWeight = "2883", -- EmptyWeight = G-Basic_with_Oil + G-crew = 2.683+2x100 =2.883kg
        LandRWCategories = 
        {
            [1] = 
            {
                Name = "AircraftCarrier",
            }, -- end of [1]
            [2] = 
            {
                Name = "HelicopterCarrier",
            }, -- end of [2]
        }, -- end of LandRWCategories
        MaxFuelWeight = "631",
        MaxHeight = "5000",
        MaxSpeed = "200",
        MaxTakeOffWeight = "4310",
        Picture = "AB-212ASW.png",
        Rate = "20",
        Shape = "AB-212",
        TakeOffRWCategories = 
        {
            [1] = 
            {
                Name = "AircraftCarrier",
            }, -- end of [1]
            [2] = 
            {
                Name = "HelicopterCarrier",
            }, -- end of [2]
        }, -- end of TakeOffRWCategories
        WorldID = 166,
		
		Navpoint_Panel = false,
		Fixpoint_Panel = false,
                                
        -- Countermeasures, 
        SingleChargeTotal = 60,
        CMDS_Incrementation = 1,
        ChaffNoEdit = true,
        ChaffDefault = 0, 
        ChaffChargeSize = 1,
        FlareDefault = 60, 
        FlareChargeSize = 1,
        CMDS_Edit = true,
		HardpointRacks_Edit = true,
        HardpointRacksWeight = 140,
        
        attribute = {wsType_Air, wsType_Helicopter, wsType_Battleplane,AB_212,
        "Attack helicopters",
        },
        Categories = {
        },
        Crew = 2,
        CanopyGeometry = makeHelicopterCanopyGeometry(LOOK_AVERAGE, LOOK_AVERAGE, LOOK_AVERAGE_UH),
		
		HumanRadio = {
			frequency = 251.0,
			editable = true,
			minFrequency = 225.000,
			maxFrequency = 399.975,
			modulation = MODULATION_AM
		},
		AddPropAircraft = {
			{ id = "ExhaustScreen" , control = 'checkbox', label = _('Exhaust Dispenser'), defValue = true, weight = 20},
			{ id = "GunnersAISkill" , control = 'slider', label = _('Gunners AI Skill'), defValue = 90, min = 10, max = 100, dimension = '%'},
			{ id = "EngineResource", control = 'slider', label = _('Engine Resource'), defValue = 90, min = 0, max = 100, dimension = '%'},
		},
		Failures = {
            { id = 'es_damage_MainGenerator',  		label = _('GENERATOR MAIN'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
            { id = 'es_damage_StarterGenerator',  	label = _('STARTER-GENERATOR'), 	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
            { id = 'es_damage_MainInverter',  		label = _('INVERTER MAIN'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
            { id = 'es_damage_SpareInverter',  		label = _('INVERTER SPARE'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
            { id = 'es_damage_Battery',  			label = _('BATTERY'), 				enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'hydro_main',  					label = _('HYDRAULIC SYSTEM'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'hydro_main_irreversible_valve', label = _('HYDRAULIC SYSTEM IRREVERSIBLE VALVE '), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'fs_damage_left_cell_boost_pump',  label = _('LEFT CELL BOOST PUMP'),enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'fs_damage_right_cell_boost_pump',  label = _('RIGHT CELL BOOST PUMP'), 	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'fs_damage_engine_pump',  	label = _('ENGINE PUMP'), 				enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'engine_surge_failure',  	label = _('TURBINE COMPRESSOR STALL'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'engine_chip',  				label = _('ENGINE CHIP'), 				enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'engine_driveshaft_failure', label = _('MAIN DRIVESHAFT FAILURE'), enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'main_reductor_chip',  		label = _('MAIN GEARBOX CHIP'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'engine_droop_failure',  	label = _('ENGINE DROP COMPENSATOR FAILURE'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100},
			{ id = 'tail_reductor_chip',  		label = _('TAIL ROTOR GEARBOX CHIP'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100},
			{ id = 'UHF_RADIO_FAILURE_TOTAL',	label = _('UHF radio failure'),			enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'VHF_AM_RADIO_FAILURE_TOTAL',label = _('VHF AM radio failure'),		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'VHF_FM_RADIO_FAILURE_TOTAL',label = _('VHF FM radio failure'),		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			
			{ id = 'ILS_FAILURE_TOTAL',		  	 label = _('ILS total failure'),		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'ILS_FAILURE_ANT_LOCALIZER',	 label = _('ILS localizer antenna'),	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'ILS_FAILURE_ANT_GLIDESLOPE', label = _('ILS glideslope antenna'),	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'ILS_FAILURE_ANT_MARKER',	 label = _('ILS marker antenna'),		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'ARN_82_FAILURE_TOTAL',		 label = _('Radio nav. set total failure'),enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },

			{ id = 'ARN_83_TOTAL_FAILURE', 		label = _('ADF total failure'),			enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'ARN_83_ADF_DAMAGE',	 		label = _('ADF goniometer failure'),	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			
			{ id = 'GMC_TOTAL_FAILURE', 		label = _('GMC total failure'),				enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'GMC_GYRO_FAILURE', 			label = _('GMC directional gyro failure'),	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'GMC_MAGN_COMP_FAILURE', 	label = _('GMC magnetic compass failure'),	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			
			{ id = 'NOSE_AIRSPEED_INDICATOR_FAILURE', 	label = _('Nose Airspeed Indicator failure'),	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'ROOF_AIRSPEED_INDICATOR_FAILURE', 	label = _('Roof Airspeed Indicator failure'),	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			
			{ id = 'A11_CLOCK_FAILURE', 			label = _('Clock failure'),				enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'MD1_GYRO_TOTAL_FAILURE', 		label = _('Roll Pitch Gyro failure'),	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'COPILOT_GYRO_TOTAL_FAILURE', 	label = _('Copilot Gyro failure'),		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },

			{ id = 'FLEX_S_NO_POWER_SUPPLY',		label = _('Flex. Sight. No power'), enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'FLEX_S_MAIN_LAMP_DEFECTIVE',	label = _('Flex. Sight. Main lamp defective'), enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'FLEX_S_BKP_LAMP_DEFECTIVE',		label = _('Flex. Sight. Backup lamp defective'), enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'FLEX_S_NO_GUN_SIGN',			label = _('Flex. Sight. No signal to guns'), enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			
			{id = 'PILOT_KILLED_FAILURE', 			label = _("First Pilot Killed"), enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{id = 'COPILOT_KILLED_FAILURE', 		label = _("Second Pilot Killed"), enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{id = 'RIGHT_GUNNER_KILLED_FAILURE', 	label = _("Right Gunner Killed"), enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{id = 'LEFT_GUNNER_KILLED_FAILURE', 	label = _("Left Gunner Killed"), enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			
			{id = 'RADAR_ALT_TOTAL_FAILURE', 	label = _("Radar Altimeter failure"), enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },

			},
        mapclasskey = "P0091000021",    
		InternalCargo = {
			nominalCapacity = 1000,
			maximalCapacity = 1400
		}
    },
   {
        pylon(1, 0, 0.0, -0.840000, -2.0000,{use_full_connector_position=true,connector = "Pylon1",},
        {
			
			
			{ CLSID = "M134_L", connector = "Pylon1"},
        }),
        pylon(2, 0, 0.605000, -0.979000, -1.50000,
            {
				use_full_connector_position=true,
            },
            {
				
				
				
				-------------------------------
				{ CLSID = "{A6FD14D3-6D30-4C85-88A7-8D17BEE120E2}" },
                { CLSID = "{6DADF342-D4BA-4D8A-B081-BA928C4AF86D}" },
                { CLSID = "{6A4B9E69-64FE-439a-9163-3A87FB6A4D81}" },
                { CLSID = "{FC56DF80-9B09-44C5-8976-DCFAFF219062}" },
                { CLSID = "{05544F1A-C39C-466b-BC37-5BD1D52E57BB}" },
                { CLSID = "{96A7F676-F956-404A-AD04-F33FB2C74884}" },
                { CLSID = "{96A7F676-F956-404A-AD04-F33FB2C74881}" },
                { CLSID = "{3C612111-C7AD-476E-8A8E-2485812F4E5C}" },
                { CLSID = "{37DCC01E-9E02-432F-B61D-10C166CA2798}" },
                { CLSID = "{B99EE8A8-99BC-4a8d-89AC-A26831920DCE}" },
				-----------------------
				{ CLSID = "B_8V20A_OM"},
				{ CLSID = "B_8V20A_CM"},
				{ CLSID = "B_8V20A_OFP2"},
				{ CLSID = "B-8M1 - 20 S-8OFP2"},
				---------------------
				{ CLSID = "XM158_MK1"},
				{ CLSID = "XM158_MK5"},
				{ CLSID = "XM158_M151"},
				{ CLSID = "XM158_M156"},
				{ CLSID = "XM158_M274"},
				{ CLSID = "XM158_M257"},
				{ CLSID = "M261_MK151"},
				{ CLSID = "M261_MK156"},
            }
        ),
		pylon(3, 0, 0.605000, -0.979000, -1.50000,
            {
				use_full_connector_position=true,
            },
            {
				{ CLSID = "M134_SIDE_L", connector = "GUNNER_L_PNTR"},
				{ CLSID = "M60_SIDE_L", connector = "GUNNER_L_PNTR"},
            }
        ),
		
		pylon(4, 0, 0.605000, -0.979000, 1.50000,
            {
				use_full_connector_position=true,
            },
            {
				{ CLSID = "M134_SIDE_R", connector = "GUNNER_R_PNTR"},
				{ CLSID = "M60_SIDE_R", connector = "GUNNER_R_PNTR"},
            }
        ),
		
        pylon(5, 0, 0.605000, -0.979000, 1.50000,
            {
				use_full_connector_position=true,
            },
            {    
			
			    { CLSID = "05544F1A-C39C-466b-BC37-5BD1D52E57BB",connector = "Pylon3"},
				{ CLSID = "96A7F676-F956-404A-AD04-F33FB2C74884",connector = "Pylon3"},
				{ CLSID = "6A4B9E69-64FE-439a-9163-3A87FB6A4D81",connector = "Pylon3"},
				{ CLSID = "96A7F676-F956-404A-AD04-F33FB2C74881",connector = "Pylon3"},
				{ CLSID = "3C612111-C7AD-476E-8A8E-2485812F4E5C",connector = "Pylon3"},
				{ CLSID = "37DCC01E-9E02-432F-B61D-10C166CA2798",connector = "Pylon3"},
				{ CLSID = "B99EE8A8-99BC-4a8d-89AC-A26831920DCE",connector = "Pylon3"},
				-------------------------------------------
				{ CLSID = "A6FD14D3-6D30-4C85-88A7-8D17BEE120E2",connector = "Pylon3"},
				{ CLSID = "6DADF342-D4BA-4D8A-B081-BA928C4AF86D",connector = "Pylon3"},
				{ CLSID = "6A4B9E69-64FE-439a-9163-3A87FB6A4D81",connector = "Pylon3"},
				{ CLSID = "FC56DF80-9B09-44C5-8976-DCFAFF219062",connector = "Pylon3"},
				{ CLSID = "637334E4-AB5A-47C0-83A6-51B7F1DF3CD5",connector = "Pylon3"},
				---------------------------------------------
			    { CLSID = "B_8V20A_OM",connector = "Pylon3"},
				{ CLSID = "B_8V20A_CM",connector = "Pylon3"},
				{ CLSID = "B_8V20A_OFP2",connector = "Pylon3"},
				{ CLSID = "B-8M1 - 20 S-8OFP2",connector = "Pylon3"},
				{ CLSID = "637334E4-AB5A-47C0-83A6-51B7F1DF3CD5",connector = "Pylon3"},
				-------------------------------------------
				{ CLSID = "XM158_MK1",connector = "Pylon3"},
				{ CLSID = "XM158_MK5",connector = "Pylon3"},
				{ CLSID = "XM158_M151",connector = "Pylon3"},
				{ CLSID = "XM158_M156",connector = "Pylon3"},
				{ CLSID = "XM158_M274",connector = "Pylon3"},
				{ CLSID = "XM158_M257",connector = "Pylon3"},
				{ CLSID = "M261_MK151",connector = "Pylon3"},
				{ CLSID = "M261_MK156",connector = "Pylon3"}
            }
        ),
        pylon(6, 0, 0.0, -0.840000, 2.0000,{use_full_connector_position=true,connector = "Pylon4",},
        {
			
			
			-----------------------------------------
			{ CLSID = "M134_R", connector = "Pylon4"},
        }),
    },
    {
		aircraft_task(CAS),
        aircraft_task(GroundAttack),
        aircraft_task(Transport),
    },
	aircraft_task(Transport)
);
